Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1879466 (CVE-2020-14374) - CVE-2020-14374 dpdk: remote Code Execution in vhost_crypto (VM Escape)
Summary: CVE-2020-14374 dpdk: remote Code Execution in vhost_crypto (VM Escape)
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2020-14374
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1910490 1883273
Blocks: 1879474
TreeView+ depends on / blocked
 
Reported: 2020-09-16 11:08 UTC by Dhananjay Arunesh
Modified: 2021-02-16 19:16 UTC (History)
24 users (show)

Fixed In Version: dpdk 18.11.10, dpdk 19.11.5
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in dpdk. A flawed bounds checking in the copy_data function leads to a buffer overflow allowing an attacker in a virtual machine to write arbitrary data to any address in the vhost_crypto application. The highest threat from this vulnerability is to data confidentiality and integrity as well as system availability.
Clone Of:
Environment:
Last Closed: 2020-09-28 20:40:52 UTC


Attachments (Terms of Use)

Description Dhananjay Arunesh 2020-09-16 11:08:31 UTC
Flawed bounds checking in the copy_data function leads to a buffer overflow. An attacker in a virtual machine can leverage the buffer overflow to write arbitrary data to any address in the vhost_crypto application. The vulnerability can be used to gain code execution in the vhost_crypto process. This vulnerability is a complete compromise of the virtual machine host-guest isolation.

Comment 7 Dave Baker 2020-09-28 15:52:26 UTC
Statement:

This flaw does not affect the versions of `dpdk` as shipped with Red Hat Enterprise Linux 7 and 8 or the versions embedded in Red Hat Virtualization or the Fast Datapath `openvswitch` package, as they do not enable generic crypto device library support. This causes the vulnerable code in vhost_crypto.c to not be included.

This flaw does not affect Red Hat Ceph Storage 3 and 4 as dpdk (embedded in ceph source rpm) is not built in the packages, therefore the vulnerable code is not available in the resulting RPM and the issue cannot be exploited.

Comment 8 Dave Baker 2020-09-28 15:56:47 UTC
Acknowledgments:

Name: Ryan Hall

Comment 9 Dave Baker 2020-09-28 15:56:49 UTC
External References:

https://www.openwall.com/lists/oss-security/2020/09/28/3

Comment 10 Dave Baker 2020-09-28 15:57:21 UTC
Created dpdk tracking bugs for this issue:

Affects: fedora-all [bug 1883273]

Comment 11 Product Security DevOps Team 2020-09-28 20:40:52 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-14374


Note You need to log in before you can comment on or make changes to this bug.